# IMFToolGroup Struct Reference
[MCFrame]

Inheritance diagram for IMFToolGroup:

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | IsShowing ()=0
virtual void MCCOMAPI | ShowTools (boolean inShown)=0
virtual void MCCOMAPI | SetToolManipulationResponder (IMFResponder *inResponder)=0
virtual void MCCOMAPI | AddTool (int32 inToolID, EToolStyle inToolStyle, ResourceID inImage[kTotalImages], int16 inToolKey, const TMCString &inName, ActionNumber inActionNumber, boolean inIsAlwaysEnabled, boolean inIsShadowed, int32 inAfterIndex, boolean inForceSticky=false)=0
virtual IMFPart *MCCOMAPI | FindPartByID (IDType inPartID)=0
| Finds a UI for a piece of the tool group.
virtual real32 MCCOMAPI | GetOverrideColorCoef ()=0
| Gets the color coefficient that will be applied to the icons of the group.
virtual void MCCOMAPI | SetOverrideColorCoef (real32 overrideColorCoef)=0
| Sets the color coefficient that will be applied to the icons of the group.
virtual void MCCOMAPI | SavePrefs ()=0
| Saves the current status of the tools.
virtual void MCCOMAPI | LoadPrefs ()=0
| Loads the prefs of the tools.
virtual void MCCOMAPI | StoreDefaultPrefs (const TMCString &inDefaultPrefs)=0
| Saves the default prefs for the tools.

## Detailed Description

IMFToolGroup is an abstraction for a group of related tools (eg camera tools) You cannot assume anything about where and how the tools are displayed in the UI (they could be in different toolbars...)

## Member Function Documentation

virtual void MCCOMAPI IMFToolGroup::AddTool | ( | int32 | inToolID,
|  | EToolStyle | inToolStyle,
|  | ResourceID | inImage[kTotalImages],
|  | int16 | inToolKey,
|  | const TMCString & | inName,
|  | ActionNumber | inActionNumber,
|  | boolean | inIsAlwaysEnabled,
|  | boolean | inIsShadowed,
|  | int32 | inAfterIndex,
|  | boolean | inForceSticky = `false` |
| ) |  |  | `[pure virtual]`

To make a button (by opposition with a tool), give an action number different from -1.

virtual IMFPart* MCCOMAPI IMFToolGroup::FindPartByID | ( | IDType | inPartID | ) | `[pure virtual]`

Finds a UI for a piece of the tool group.

virtual real32 MCCOMAPI IMFToolGroup::GetOverrideColorCoef | ( |  | ) | `[pure virtual]`

Gets the color coefficient that will be applied to the icons of the group.

virtual boolean MCCOMAPI IMFToolGroup::IsShowing | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFToolGroup::LoadPrefs | ( |  | ) | `[pure virtual]`

Loads the prefs of the tools.

virtual void MCCOMAPI IMFToolGroup::SavePrefs | ( |  | ) | `[pure virtual]`

Saves the current status of the tools.

virtual void MCCOMAPI IMFToolGroup::SetOverrideColorCoef | ( | real32 | overrideColorCoef | ) | `[pure virtual]`

Sets the color coefficient that will be applied to the icons of the group.

virtual void MCCOMAPI IMFToolGroup::SetToolManipulationResponder | ( | IMFResponder * | inResponder | ) | `[pure virtual]`

virtual void MCCOMAPI IMFToolGroup::ShowTools | ( | boolean | inShown | ) | `[pure virtual]`

virtual void MCCOMAPI IMFToolGroup::StoreDefaultPrefs | ( | const TMCString & | inDefaultPrefs | ) | `[pure virtual]`

Saves the default prefs for the tools.

The documentation for this struct was generated from the following file:

- IMFToolGroup.h